import { a2 as VariableReference, a9 as StepResult } from '../base-mFfX31Ho.js';
export { a4 as ActionContext, a3 as BaseCondition, ah as DependencyCheckOutput, an as ExtractSchemaFromStep, aq as ExtractSchemaType, ao as ExtractStepResult, ar as PathsToStringProps, ae as ResolverFunctionInput, af as ResolverFunctionOutput, a1 as RetryConfig, S as Step, Z as StepAction, a7 as StepCondition, a8 as StepConfig, a6 as StepDef, d as StepExecutionContext, a0 as StepGraph, am as StepId, ap as StepInputType, $ as StepNode, _ as StepVariableType, aa as StepsRecord, ag as SubscriberFunctionOutput, a5 as WhenConditionReturnValue, W as Workflow, aj as WorkflowActionParams, ak as WorkflowActions, ai as WorkflowActors, e as WorkflowContext, ad as WorkflowEvent, ac as WorkflowLogMessage, n as WorkflowOptions, at as WorkflowResumeResult, ab as WorkflowRunResult, as as WorkflowRunState, al as WorkflowState, au as createStep } from '../base-mFfX31Ho.js';
import 'ai';
import '../base-BZViaFTt.js';
import '@opentelemetry/api';
import '../index-mKY1XrpK.js';
import 'stream';
import 'pino';
import '@opentelemetry/sdk-trace-base';
import 'sift';
import 'zod';
import 'json-schema';
import '../types-CwTG2XyQ.js';
import '../deployer/index.js';
import '../bundler/index.js';
import '../vector/index.js';
import '../vector/filter/index.js';
import '../tts/index.js';
import '../voice/index.js';

declare function isErrorEvent(stateEvent: any): stateEvent is {
    type: `xstate.error.actor.${string}`;
    error: Error;
};
declare function isTransitionEvent(stateEvent: any): stateEvent is {
    type: `xstate.done.actor.${string}`;
    output?: unknown;
};
declare function isVariableReference(value: any): value is VariableReference<any, any>;
declare function getStepResult(result?: StepResult<any>): any;
declare function getSuspendedPaths({ value, path, suspendedPaths, }: {
    value: string | Record<string, string>;
    path: string;
    suspendedPaths: Set<string>;
}): void;
declare function isFinalState(status: string): boolean;
declare function recursivelyCheckForFinalState({ value, suspendedPaths, path, }: {
    value: string | Record<string, string>;
    suspendedPaths: Set<string>;
    path: string;
}): boolean;
declare function getActivePathsAndStatus(value: Record<string, any>): Array<{
    stepPath: string[];
    stepId: string;
    status: string;
}>;
declare function mergeChildValue(startStepId: string, parent: Record<string, any>, child: Record<string, any>): Record<string, any>;
declare const updateStepInHierarchy: (value: Record<string, any>, targetStepId: string) => Record<string, any>;
declare function getResultActivePaths(state: {
    value: Record<string, string>;
    context: {
        steps: Record<string, any>;
    };
}): Map<string, {
    status: string;
    suspendPayload?: any;
}>;

export { StepResult, VariableReference, getActivePathsAndStatus, getResultActivePaths, getStepResult, getSuspendedPaths, isErrorEvent, isFinalState, isTransitionEvent, isVariableReference, mergeChildValue, recursivelyCheckForFinalState, updateStepInHierarchy };
